Bug 118821 - old version of varioref.sty causes formatting errors
old version of varioref.sty causes formatting errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-20 23:19 EST by Nick Urbanik
Modified: 2013-07-02 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-25 08:33:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A simple test example that illustrates the problem (196 bytes, text/plain)
2004-03-20 23:21 EST, Nick Urbanik
no flags Details

  None (edit)
Description Nick Urbanik 2004-03-20 23:19:37 EST
Description of problem:

When use the starred version of \vref with varioref.sty, space is
removed after the reference number as well as before it.

Version-Release number of selected component (if applicable):
2.0.2-8 and also in rawhide

How reproducible:
Always.

Steps to Reproduce:
1. Create any LaTeX file using \vref* that refers to a reference on
another page.
2. Compile with latex.
3. Observe output.

Actual results:
For input such as 
In Q\vref*{que:one}, we see a bug.
actual output is:
2. In Q1on the preceding page, we see a bug.

Expected results:
For input such as 
In Q\vref*{que:one}, we see a bug.
expected output is:
2. In Q1 on the preceding page, we see a bug.

Additional info:

Using varioref.sty v1.4i from CTAN fixes this, and introduces some
other fixes as well.
Comment 1 Nick Urbanik 2004-03-20 23:21:52 EST
Created attachment 98724 [details]
A simple test example that illustrates the problem

When compiled using current varioref.sty from CPAN, version v1.4i, the output
is correct.
Comment 2 Nick Urbanik 2004-03-21 00:23:14 EST
I have confirmed that this is still a problem with tetex-2.0.2-12.1 in
rawhide.
Comment 3 Tim Waugh 2004-03-25 08:09:10 EST
I don't see this on CTAN.  Please provide the URL.  Thanks.
Comment 4 Nick Urbanik 2004-03-25 16:07:37 EST
Dear Tim,

It is part of the required tools package, as are things such as
multicol.sty, verbatim.sty, tabularx.sty, array.sty, etc.  It is
described on pages 41--45 of Goossens, Mittelbach and Samarin, "The
LaTeX Companion", first edition.  I use it in all my documents.

The original is at:

ftp://tug.ctan.org/tex-archive/macros/latex/required/tools/varioref.dtx

I would get
ftp://tug.ctan.org/tex-archive/macros/latex/required/tools.tar.gz,
untar it, change into the directory tools, and run
latex tools.ins

varioref.sty will be one of the resulting files.
You also need varioref.dvi (the documentation), by running
latex varioref.dtx twice.

Put varioref.dvi in /usr/share/texmf/doc/latex/tools/varioref.dvi,

put varioref.sty in /usr/share/texmf/tex/latex/tools/varioref.sty,

make the patch, add to the spec file, bump the spec release number,
add a changelog entry, rpmbuild -ba tetex.spec
and you're done, more happy customers!


One little hint for finding things on CTAN:

quote site index varioref

(described in ftp://tug.ctan.org/tex-archive/README.archive-features).

Thomas Esser is well on the way to releasing teTeX 3.0.  I hope Red
Hat will include it soon after it is released, or I will have to
package it on my own around Christmas time, and there will be more
(not very well justified) moaning about Red Hat on the tetex mailing list.
Comment 5 Tim Waugh 2004-03-25 16:43:35 EST
Thanks for the information.

(Concerning teTeX 3.0: yes, I'm following 2.96 reports.  Understand
though that we patch in Japanese support, and we can't move forward
until those patches are ported or integrated.)
Comment 6 Tim Waugh 2004-03-26 06:59:30 EST
Fixed in CVS.
Comment 7 Jindrich Novy 2005-02-25 08:33:15 EST
The new Japanese patches are now integrated and this is no longer an issue in
teTeX-3.0.

Note You need to log in before you can comment on or make changes to this bug.